model.tables {stats} | R Documentation

## Compute Tables of Results from an Aov Model Fit

### Description

Computes summary tables for model fits, especially complex `aov` fits.

### Usage

    model.tables(x, ...)

    ## S3 method for class 'aov'
    model.tables(x, type = "effects", se = FALSE, cterms, ...)

    ## S3 method for class 'aovlist'
    model.tables(x, type = "effects", se = FALSE, ...)

### Arguments

`x` | a model object, usually produced by `aov`
`type` | type of table: currently only `"effects"` and `"means"` are implemented. Can be abbreviated.
`se` | should standard errors be computed?
`cterms` | A character vector giving the names of the terms for which tables should be computed. The default is all tables.
`...` | further arguments passed to or from other methods.

### Details

For `type = "effects"` give tables of the coefficients for each term, optionally with standard errors.

For `type = "means"` give tables of the mean response for each combinations of levels of the factors in a term.

The `"aov"` method cannot be applied to components of a `"aovlist"` fit.

### Value

An object of class `"tables.aov"`, as list which may contain components

`tables` | A list of tables for each requested term.
`n` | The replication information for each term.
`se` | Standard error information.

### Warning

The implementation is incomplete, and only the simpler cases have been tested thoroughly.

Weighted `aov` fits are not supported.

### See Also

`aov`, `proj`, `replications`, `TukeyHSD`, `se.contrast`

### Examples

    options(contrasts = c("contr.helmert", "contr.treatment"))
    npk.aov <- aov(yield ~ block + N*P*K, npk)
    model.tables(npk.aov, "means", se = TRUE)

    ## as a test, not particularly sensible statistically
    npk.aovE <- aov(yield ~  N*P*K + Error(block), npk)
    model.tables(npk.aovE, se = TRUE)
    model.tables(npk.aovE, "means")

[Package stats version 3.4.2 Index]